Kling 2.6 画像から動画生成
curl --request POST \
--url https://api.sinancode.com/v1/generate/k/kling26-image-to-video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_urls": [
"https://example.com/input.jpg"
],
"prompt": "The person in the image starts to smile and wave",
"duration": 5,
"sound": false
}
'import requests
url = "https://api.sinancode.com/v1/generate/k/kling26-image-to-video"
payload = {
"image_urls": ["https://example.com/input.jpg"],
"prompt": "The person in the image starts to smile and wave",
"duration": 5,
"sound": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image_urls: ['https://example.com/input.jpg'],
prompt: 'The person in the image starts to smile and wave',
duration: 5,
sound: false
})
};
fetch('https://api.sinancode.com/v1/generate/k/kling26-image-to-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}動画生成 - Kling 2.6
Kling 2.6 Image to Video
Kling 2.6 モデルを使用して画像から動画を生成します(非同期)
POST
/
generate
/
k
/
kling26-image-to-video
Kling 2.6 画像から動画生成
Kling 2.6 モデルを使用して画像から動画を生成します。
承認
API Tokenを使用して認証を行ってください
ボディ
application/json
タスクパラメータ
入力画像 URL(必須)
Required array length:
1 element例:
["https://example.com/input.jpg"]
プロンプト(必須、最大1000文字)
Required string length:
1 - 1000例:
"The person in the image starts to smile and wave"
動画の長さ(オプション、5秒または10秒、デフォルト5)
利用可能なオプション:
5, 10 例:
5
音声を含めるかどうか(オプション、デフォルト false)
例:
false
レスポンス
OK
タスクID
例:
"01234567-89ab-cdef-0123-456789abcdef"
⌘I